Creates a checklist item for a task.

POSThttps://api.awork.com/api/v1/tasks/{taskId}/checklistitems
POST https://api.awork.com/api/v1/tasks/{taskId}/checklistitems

Creates a checklist item for a task. The new item is added to the task checklist.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskIdstringRequired
format: uuid

The id of the task.

Request body Required

The checklist item form.

application/json

isDonebooleanOptional

Whether the checklist item is done.

namestringRequired
minLength: 0 maxLength: 25000

The name of the checklist item.

ordernumber or nullOptional
format: double

The order of the checklist item.

Responses

200 OK

application/json

isDonebooleanOptional

Whether the checklist item is done.

namestringRequired
minLength: 0 maxLength: 25000

The name of the checklist item.

ordernumber or nullOptional
format: double

The order of the checklist item.

idstringOptional
format: uuid

The id of the checklist item.

createdOnstringOptional
format: date-time

The date this checklist item was created.

createdBystringOptional
format: uuid

The id of the user who created this checklist item.

updatedOnstringOptional
format: date-time

The date this checklist item was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this checklist item.

taskIdstringOptional
format: uuid

The id of the task this checklist item belongs to.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation